Bug 1090300 - [abrt] claws-mail: row_is_selected(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: row_is_selected(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:68f32980f2bdbfa36026b01afdd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-23 06:08 UTC by Erik P. Olsen
Modified: 2015-01-05 07:36 UTC (History)
1 user (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:59 UTC


Attachments (Terms of Use)
File: backtrace (25.28 KB, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: cgroup (172 bytes, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: core_backtrace (11.22 KB, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: dso_list (16.02 KB, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: environ (1.56 KB, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: exploitable (82 bytes, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: limits (1.29 KB, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: maps (75.26 KB, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: open_fds (1.25 KB, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details
File: var_log_messages (349 bytes, text/plain)
2014-04-23 06:09 UTC, Erik P. Olsen
no flags Details

Description Erik P. Olsen 2014-04-23 06:08:57 UTC
Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        claws-mail
crash_function: row_is_selected
executable:     /usr/bin/claws-mail
kernel:         3.13.10-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 row_is_selected at gtksctree.c:305
 #1 gtk_sctree_motion at gtksctree.c:683
 #2 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #7 gtk_widget_event_internal at gtkwidget.c:5017
 #8 gtk_widget_event at gtkwidget.c:4814
 #9 gtk_propagate_event at gtkmain.c:2490
 #10 gtk_main_do_event at gtkmain.c:1685
 #16 gtk_main at gtkmain.c:1257

Comment 1 Erik P. Olsen 2014-04-23 06:09:02 UTC
Created attachment 888742 [details]
File: backtrace

Comment 2 Erik P. Olsen 2014-04-23 06:09:04 UTC
Created attachment 888743 [details]
File: cgroup

Comment 3 Erik P. Olsen 2014-04-23 06:09:06 UTC
Created attachment 888744 [details]
File: core_backtrace

Comment 4 Erik P. Olsen 2014-04-23 06:09:10 UTC
Created attachment 888745 [details]
File: dso_list

Comment 5 Erik P. Olsen 2014-04-23 06:09:12 UTC
Created attachment 888746 [details]
File: environ

Comment 6 Erik P. Olsen 2014-04-23 06:09:14 UTC
Created attachment 888747 [details]
File: exploitable

Comment 7 Erik P. Olsen 2014-04-23 06:09:16 UTC
Created attachment 888748 [details]
File: limits

Comment 8 Erik P. Olsen 2014-04-23 06:09:19 UTC
Created attachment 888749 [details]
File: maps

Comment 9 Erik P. Olsen 2014-04-23 06:09:21 UTC
Created attachment 888750 [details]
File: open_fds

Comment 10 Erik P. Olsen 2014-04-23 06:09:23 UTC
Created attachment 888751 [details]
File: proc_pid_status

Comment 11 Erik P. Olsen 2014-04-23 06:09:24 UTC
Created attachment 888752 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-05-01 14:26:37 UTC
> Architecture 	Count
> x86_64 	1

Since you've not entered any details about reproducibility, there is nothing that can be done about this crash.

Please note that a few key details are needed almost always (unless the backtrace points at exactly the place where it can be concluded what has gone wrong). Is the crash reproducible? And how? If it isn't, how often has it crashed?

A couple of crashes of Claws Mail are just side-effects (caused by memory corruption and/or race conditions letting the code work with pointers to freed data), i.e. it can crash in arbitrary places. Recently, there have been several bug-fixes upstream that will stop some of those side-effects.

Comment 13 Fedora Update System 2014-05-26 21:17:24 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 14 Fedora Update System 2014-05-26 21:17:58 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 15 Fedora Update System 2014-05-28 02:56:49 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 16 Erik P. Olsen 2014-05-28 05:00:56 UTC
Works for me.

Comment 17 Fedora Update System 2014-05-30 23:49:59 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-11-02 17:51:51 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 19 Fedora Update System 2014-11-02 17:52:26 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 20 Fedora Update System 2014-11-02 17:55:06 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 21 Fedora Update System 2014-11-10 06:30:15 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-11-10 06:33:59 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-01-05 07:36:26 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.